Plan file extraction
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"preset": {
"kind": "shape",
"shape": "<string>"
}
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan"
payload = {
"scope": {
"kind": "files",
"file_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"preset": {
"kind": "shape",
"shape": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scope: {kind: 'files', file_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']},
preset: {kind: 'shape', shape: '<string>'}
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => [
'kind' => 'files',
'file_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'preset' => [
'kind' => 'shape',
'shape' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan"
payload := strings.NewReader("{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"preset\": {\n \"kind\": \"shape\",\n \"shape\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"preset\": {\n \"kind\": \"shape\",\n \"shape\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"preset\": {\n \"kind\": \"shape\",\n \"shape\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.file-extraction-plan",
"version": 1,
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"collection": {
"id": "<string>",
"name": "<string>",
"revision": 0
},
"files": [
{
"file_id": "<string>",
"name": "<string>",
"version_id": "<string>",
"version_number": 0,
"text_bytes": 0
}
],
"total_text_bytes": 0,
"max_source_bytes": 0,
"shape": {
"id": "<string>",
"name": "<string>"
},
"types": [
{
"type_id": "<string>",
"name": "<string>",
"route": "record"
}
],
"level": "<string>",
"estimate": {
"expected_credits": 123,
"high_credits": 123
},
"max_credits": 123,
"partial_policy": "deliver_completed",
"unattended": {
"allowed": true,
"per_run_cap_credits": 123
},
"plan_digest": "<string>"
}
}Extraction
Plan file extraction
Plan an extraction run and its cost before starting it.
Plan file extraction
curl --request POST \
--url https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"preset": {
"kind": "shape",
"shape": "<string>"
}
}
'import requests
url = "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan"
payload = {
"scope": {
"kind": "files",
"file_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"]
},
"preset": {
"kind": "shape",
"shape": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
scope: {kind: 'files', file_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a']},
preset: {kind: 'shape', shape: '<string>'}
})
};
fetch('https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'scope' => [
'kind' => 'files',
'file_ids' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
]
],
'preset' => [
'kind' => 'shape',
'shape' => '<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan"
payload := strings.NewReader("{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"preset\": {\n \"kind\": \"shape\",\n \"shape\": \"<string>\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"preset\": {\n \"kind\": \"shape\",\n \"shape\": \"<string>\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.pnbr.io/v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"scope\": {\n \"kind\": \"files\",\n \"file_ids\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ]\n },\n \"preset\": {\n \"kind\": \"shape\",\n \"shape\": \"<string>\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"schema": "penumbra.file-extraction-plan",
"version": 1,
"scope": {
"kind": "files",
"file_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"collection": {
"id": "<string>",
"name": "<string>",
"revision": 0
},
"files": [
{
"file_id": "<string>",
"name": "<string>",
"version_id": "<string>",
"version_number": 0,
"text_bytes": 0
}
],
"total_text_bytes": 0,
"max_source_bytes": 0,
"shape": {
"id": "<string>",
"name": "<string>"
},
"types": [
{
"type_id": "<string>",
"name": "<string>",
"route": "record"
}
],
"level": "<string>",
"estimate": {
"expected_credits": 123,
"high_credits": 123
},
"max_credits": 123,
"partial_policy": "deliver_completed",
"unattended": {
"allowed": true,
"per_run_cap_credits": 123
},
"plan_digest": "<string>"
}
}Operation ID:
http.semantic_tasks.file_extractions.plan
POST /v1/orgs/{org}/projects/{project}/semantic-tasks/file-extractions/plan
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
- Option 1
- Option 2
Show child attributes
Show child attributes
- Option 1
- Option 2
Show child attributes
Show child attributes
How thorough the extraction is: standard (items are double-checked before review) or fast (one read, no double-check). Omit for the project's default.
Available options:
standard, fast, deep Response
2XX - application/json
Success.
Show child attributes
Show child attributes